> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a custom transaction category

> Use this endpoint to create a custom transaction category for your workspace. The endpoint is idempotent - will return the existing category if the name is already taken.



## OpenAPI

````yaml /api-reference/data-api.json post /v2/transaction-categories
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.20
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
paths:
  /v2/transaction-categories:
    post:
      tags:
        - Transaction Categories
      summary: Create a custom transaction category
      description: >-
        Use this endpoint to create a custom transaction category for your
        workspace. The endpoint is idempotent - will return the existing
        category if the name is already taken.
      operationId: create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCustomTransactionCategoryDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionCategoryDto'
components:
  schemas:
    CreateCustomTransactionCategoryDto:
      type: object
      properties:
        name:
          type: string
          maxLength: 255
          example: Board Fees
      required:
        - name
    TransactionCategoryDto:
      type: object
      properties:
        id:
          type: string
          example: a1b2c3d4-e5f6-7890-abcd-ef1234567890
        name:
          type: string
          example: Swap
        is_system:
          type: boolean
          example: true
      required:
        - id
        - name
        - is_system
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Authorization method required to allow user to access the api endpoints.

````